<?php
$electrician_services_custom_style= "";

// sticky header

if (false === get_option('electrician_services_sticky_header')) {
    add_option('electrician_services_sticky_header', 'off');
}

// Define the custom CSS based on the 'electrician_services_sticky_header' option

if (get_option('electrician_services_sticky_header', 'off') !== 'on') {
    $electrician_services_custom_style .= '.fixed-header.fixed {';
    $electrician_services_custom_style .= 'position: static;';
    $electrician_services_custom_style .= '}';
}

if (get_option('electrician_services_sticky_header', 'off') !== 'off') {
    $electrician_services_custom_style .= '.fixed-header.fixed {';
    $electrician_services_custom_style .= 'position: fixed; background:#ff3947;';
    $electrician_services_custom_style .= '}';

    $electrician_services_custom_style .= '.admin-bar .fixed {';
    $electrician_services_custom_style .= ' margin-top: 32px;';
    $electrician_services_custom_style .= '}';
}

/*---------------------------Scroll-top-position -------------------*/

$electrician_services_scroll_options = get_theme_mod( 'electrician_services_scroll_options','right_align');

if($electrician_services_scroll_options == 'right_align'){

$electrician_services_custom_style .='.scroll-top button{';

	$electrician_services_custom_style .='';

$electrician_services_custom_style .='}';

}else if($electrician_services_scroll_options == 'center_align'){

$electrician_services_custom_style .='.scroll-top button{';

	$electrician_services_custom_style .='right: 0; left:0; margin: 0 auto; top:85% !important';

$electrician_services_custom_style .='}';

}else if($electrician_services_scroll_options == 'left_align'){

$electrician_services_custom_style .='.scroll-top button{';

	$electrician_services_custom_style .='right: auto; left:5%; margin: 0 auto';

$electrician_services_custom_style .='}';
}

$electrician_services_logo_max_height = get_theme_mod('electrician_services_logo_max_height');

if($electrician_services_logo_max_height != false){

$electrician_services_custom_style .='.custom-logo-link img{';

	$electrician_services_custom_style .='max-height: '.esc_html($electrician_services_logo_max_height).'px;';

$electrician_services_custom_style .='}';
}

/*---------------------------text-transform-------------------*/

$electrician_services_text_transform = get_theme_mod( 'electrician_services_menu_text_transform','CAPITALISE');
if($electrician_services_text_transform == 'CAPITALISE'){

$electrician_services_custom_style .='nav#top_gb_menu ul li a{';

	$electrician_services_custom_style .='text-transform: capitalize ; font-size: 14px;';

$electrician_services_custom_style .='}';

}else if($electrician_services_text_transform == 'UPPERCASE'){

$electrician_services_custom_style .='nav#top_gb_menu ul li a{';

	$electrician_services_custom_style .='text-transform: uppercase ; font-size: 14px;';

$electrician_services_custom_style .='}';

}else if($electrician_services_text_transform == 'LOWERCASE'){

$electrician_services_custom_style .='nav#top_gb_menu ul li a{';

	$electrician_services_custom_style .='text-transform: lowercase ; font-size: 14px;';

$electrician_services_custom_style .='}';
}

/*-------------------------Slider-content-alignment-------------------*/

$electrician_services_slider_content_alignment = get_theme_mod( 'electrician_services_slider_content_alignment','LEFT-ALIGN');

if($electrician_services_slider_content_alignment == 'LEFT-ALIGN'){

$electrician_services_custom_style .='.slide-inner-box{';

	$electrician_services_custom_style .='text-align:left; left: 10%; right: 45%;';

$electrician_services_custom_style .='}';

$electrician_services_custom_style .='@media screen and (max-width:1024px){';

$electrician_services_custom_style .='.slide-inner-box{';

	$electrician_services_custom_style .='text-align:left; right: 40%; left: 10%;';

$electrician_services_custom_style .='} }';


}else if($electrician_services_slider_content_alignment == 'CENTER-ALIGN'){

$electrician_services_custom_style .='.slide-inner-box{';

	$electrician_services_custom_style .='text-align:center; left: 20%; right: 20%;';

$electrician_services_custom_style .='}';


}else if($electrician_services_slider_content_alignment == 'RIGHT-ALIGN'){

$electrician_services_custom_style .='.slide-inner-box{';

	$electrician_services_custom_style .='text-align:right; left: 45%; right: 10%;';

$electrician_services_custom_style .='}';

$electrician_services_custom_style .='@media screen and (max-width:1024px){';

$electrician_services_custom_style .='.slide-inner-box{';

	$electrician_services_custom_style .='text-align:left; right: 10%; left: 40%;';

$electrician_services_custom_style .='} }';

}

//--------------------Logo max-width----------------------------

$electrician_services_logo_max_height = get_theme_mod('electrician_services_logo_max_height','100');

if($electrician_services_logo_max_height != false){

$electrician_services_custom_style .='.custom-logo-link img{';

	$electrician_services_custom_style .='max-height: '.esc_html($electrician_services_logo_max_height).'px;';

$electrician_services_custom_style .='}';
}

//related products
if( get_option( 'electrician_services_related_product',true) != 'on') {

$electrician_services_custom_style .='.related.products{';

	$electrician_services_custom_style .='display: none;';
	
$electrician_services_custom_style .='}';
}

if( get_option( 'electrician_services_related_product',true) != 'off') {

$electrician_services_custom_style .='.related.products{';

	$electrician_services_custom_style .='display: block;';
	
$electrician_services_custom_style .='}';
}

// footer text alignment
$electrician_services_footer_content_alignment = get_theme_mod( 'electrician_services_footer_content_alignment','CENTER-ALIGN');

if($electrician_services_footer_content_alignment == 'LEFT-ALIGN'){

$electrician_services_custom_style .='.site-info{';

	$electrician_services_custom_style .='text-align:left; padding-left: 30px;';

$electrician_services_custom_style .='}';

$electrician_services_custom_style .='.site-info a{';

	$electrician_services_custom_style .='padding-left: 30px;';

$electrician_services_custom_style .='}';


}else if($electrician_services_footer_content_alignment == 'CENTER-ALIGN'){

$electrician_services_custom_style .='.site-info{';

	$electrician_services_custom_style .='text-align:center;';

$electrician_services_custom_style .='}';


}else if($electrician_services_footer_content_alignment == 'RIGHT-ALIGN'){

$electrician_services_custom_style .='.site-info{';

	$electrician_services_custom_style .='text-align:right; padding-right: 30px;';

$electrician_services_custom_style .='}';

$electrician_services_custom_style .='.site-info a{';

	$electrician_services_custom_style .='padding-right: 30px;';

$electrician_services_custom_style .='}';

}

// slider button
$mobile_button_setting = get_option('electrician_services_slider_button_mobile_show_hide', '1');
$main_button_setting = get_option('electrician_services_slider_button_show_hide', '1');

$electrician_services_custom_style .= '#slider .home-btn {';

if ($main_button_setting == 'off') {
    $electrician_services_custom_style .= 'display: none;';
}

$electrician_services_custom_style .= '}';

// Add media query for mobile devices
$electrician_services_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_button_setting == 'off' || $mobile_button_setting == 'off') {
    $electrician_services_custom_style .= '#slider .home-btn { display: none; }';
}
$electrician_services_custom_style .= '}';


// scroll button
$mobile_scroll_setting = get_option('electrician_services_scroll_enable_mobile', '1');
$main_scroll_setting = get_option('electrician_services_scroll_enable', '1');

$electrician_services_custom_style .= '.scrollup {';

if ($main_scroll_setting == 'off') {
    $electrician_services_custom_style .= 'display: none;';
}

$electrician_services_custom_style .= '}';

// Add media query for mobile devices
$electrician_services_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_scroll_setting == 'off' || $mobile_scroll_setting == 'off') {
    $electrician_services_custom_style .= '.scrollup { display: none; }';
}
$electrician_services_custom_style .= '}';

// theme breadcrumb
$mobile_breadcrumb_setting = get_option('electrician_services_enable_breadcrumb_mobile', '1');
$main_breadcrumb_setting = get_option('electrician_services_enable_breadcrumb', '1');

$electrician_services_custom_style .= '.archieve_breadcrumb {';

if ($main_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= 'display: none;';
}

$electrician_services_custom_style .= '}';

// Add media query for mobile devices
$electrician_services_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_breadcrumb_setting == 'off' || $mobile_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= '.archieve_breadcrumb { display: none; }';
}
$electrician_services_custom_style .= '}';

// single post and page breadcrumb
$mobile_single_breadcrumb_setting = get_option('electrician_services_single_enable_breadcrumb_mobile', '1');
$main_single_breadcrumb_setting = get_option('electrician_services_single_enable_breadcrumb', '1');

$electrician_services_custom_style .= '.single_breadcrumb {';

if ($main_single_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= 'display: none;';
}

$electrician_services_custom_style .= '}';

// Add media query for mobile devices
$electrician_services_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_single_breadcrumb_setting == 'off' || $mobile_single_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= '.single_breadcrumb { display: none; }';
}
$electrician_services_custom_style .= '}';

// woocommerce breadcrumb
$mobile_woo_breadcrumb_setting = get_option('electrician_services_woocommerce_enable_breadcrumb_mobile', '1');
$main_woo_breadcrumb_setting = get_option('electrician_services_woocommerce_enable_breadcrumb', '1');

$electrician_services_custom_style .= '.woocommerce-breadcrumb {';

if ($main_woo_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= 'display: none;';
}

$electrician_services_custom_style .= '}';

// Add media query for mobile devices
$electrician_services_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_woo_breadcrumb_setting == 'off' || $mobile_woo_breadcrumb_setting == 'off') {
    $electrician_services_custom_style .= '.woocommerce-breadcrumb { display: none; }';
}
$electrician_services_custom_style .= '}';